> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/networking/sdn/router/describecloudrouteravailablevpcs.md).

# DescribeCloudRouterAvailableVpcs

## 1. API Description

This API is used to query available VPCs that can be added into a Layer 3 cloud router.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

<table><thead><tr><th width="187">Parameter Name</th><th width="112">Required</th><th width="90">Type</th><th>Description</th></tr></thead><tbody><tr><td>vpcId</td><td>No</td><td>String</td><td>VPC ID。</td></tr><tr><td>pageNum</td><td>No</td><td>Integer</td><td><p>Number of pages returned.</p><p>Default value: 1.</p></td></tr><tr><td>pageSize</td><td>No</td><td>Integer</td><td><p>Number of items in the current page result.</p><p>Default value: 20;</p><p>Maximum value: 1000.</p></td></tr></tbody></table>

## 3. Output Parameters

<table><thead><tr><th width="187.33333333333331">Parameter Name</th><th width="227">Type</th><th>Description</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td>The unique request ID, which is returned for each request. RequestId is required for locating a problem.</td></tr><tr><td>dataSet</td><td>Array of <a href="/pages/QGlc5uBFvAM7iixepjmI#cloudrouteravailablevpc">CloudRouterAvailableVpc</a></td><td>Information on VPCs.</td></tr><tr><td>totalCount</td><td>Integer</td><td>Number of VPCs meeting the filtering conditions.</td></tr></tbody></table>

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query available VPCs that can be added into a Layer 3 cloud router.**

<pre class="language-json"><code class="lang-json">POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeCloudRouterAvailableVpcs
&#x3C;Common Request Params>

Request：
{}

Response：
{   
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId":"TB1F3B1A1-DA70-4FF7-99D1-CEBEEFBAC95F",
    "totalCount":1,
    "dataSet":[
        {
            "vpcName":"VPC-MAD-A-01",
            "dataCenter":{
                "dcId":"MAD1",
                "cityName":"Madrid",
                "areaName":"Europe",
                "dcName":"Interxion_MAD2 ",
                "dcAddress":"Calle Albasanz, 73, Madrid, 28037, Spain",
                "countryName":"Spain"
            },
            "vpcId":"your-vpc-id",
            "cidrBlock":"10.0.0.0/8"
        }
    ]
<strong>  }
</strong>}
</code></pre>

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md) to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

No error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).​


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/networking/sdn/router/describecloudrouteravailablevpcs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
